# Yahoo! UI Library

### slider 3.3.0

Yahoo! UI Library > slider > range-slider.js (source view)
Search:
Filters Show Private Show Protected Show Deprecated

    /**
     * Create a sliding value range input visualized as a draggable thumb on a
     * background rail element.
     *
     * @module slider
     * @submodule range-slider
     */

    /**
     * Create a slider to represent an integer value between a given minimum and
     * maximum.  Sliders may be aligned vertically or horizontally, based on the
     * <code>axis</code> configuration.
     *
     * @class Slider
     * @constructor
     * @extends SliderBase
     * @uses SliderValueRange
     * @uses ClickableRail
     * @param config {Object} Configuration object
     */
    Y.Slider = Y.Base.build( 'slider', Y.SliderBase,
        [ Y.SliderValueRange, Y.ClickableRail ] );

Copyright © 2011 Yahoo! Inc. All rights reserved.